﻿<!-- templates/del_my_browse.html -->
{% extends 'base.html' %}

{% block title %} 浏览记录 {% endblock %}

{% block head %}
{{ super() }}
<script>
	//document.getElementById("del").onclick=del_tip;
	function del_tip() {
		var msg = "确定删除浏览记录？";
		if (confirm(msg)) {
			document.getElementById("sel_form").submit();
		}
	}
</script>

<!--以下定义[删除]按钮是否可以被点击-->
<script>
	function is_sel() {
		var prod_form = document.getElementById("sel_form");
		var is_sel_prod = false;
		var form_len = document.getElementById("sel_form").length;

		var i;
		for (i = 0; i < form_len; i++) {
			if (prod_form[i].checked) {
				is_sel_prod = true;
				break;
			}
		}
		if (is_sel_prod)
			document.getElementById("del").disabled = false;
		else
			document.getElementById("del").disabled = true;
	}

</script>
<!--以下定义点击[全选]按钮后的操作-->
<script>
	function sel_allprod() {
		var prod_form = document.getElementById("sel_form");
		var form_len = prod_form.length;
		var i;
		for (i = 0; i < form_len; i++) {
			prod_form[i].checked = true;
		}
		document.getElementById("del").disabled = false;
	}
</script>
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="page-wrap">
	<div class="page-content">
		<main class="main-content">
			<section class="section-featured-products">
				<div class="container">
					<div class="section-title text-center">
						{% if prod_list %}
						<h2 class="h3 section-title__heading">浏览记录如下</h2>
						{% else %}
						<h2 class="h3 section-title__heading">您暂时没有浏览记录</h2>
						{% endif %}
					</div>
					<form class="products featured-products columns-4" method="post" id="sel_form" name="sel_prod_list">
						{%for prod in prod_list%}
						{% if prod.identity_ok %}

						<li class="product">
							<input type="checkbox" onclick="javascript:is_sel()" value={{prod.id}} name="sel_prod">
							<br>
							<h4>浏览记录{{loop.index}}：</h4>
							<div class="product-thumb">
								<a href="{{url_for('Check_store.show_prod',key_word=0,pord_id=prod.id)}}"
									class="product-thumb__link">
									<div class="procDisplay">
										<img src="{{ url_for('static',filename=prod.img) }}" alt="">
									</div>
									<span class="btn btn-outline-light shop-link">Detail</span>
								</a>
							</div>
							<div class="product-title"><a
									href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}">商品名称：{{prod.name}}</a>
							</div>
							<div class="price">
								<span class="amount">价格：{{prod.price}}</span>
							</div>
						</li>

						{% endif %}
						{% endfor %}
					</form>
			</section>
			{%if prod_list%}
			<center><input type="button" id="sel_all" value="全选" onclick="sel_allprod()"
					class="btn btn-primary mr-1 mb-3" onclick="javascript:is_sel()"></center>
			<center><input type="button" id="del" value="删除" disabled="disabled" onclick="javascript:del_tip()"
					class="btn btn-primary mr-1 mb-3"></center>
			{% endif %}
			<center><a href="{{url_for('Browse.my_browse')}}" class="btn btn-primary mr-1 mb-3">取消编辑</a></center>
		</main> <!-- end of main -->
	</div>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}